/*
 *
 *  * Copyright (C) 2021 Anton Romanov - All Rights Reserved
 *  * You may use, distribute and modify this code, please write to: romanov73@gmail.com.
 *
 *
 */

package ru.ulstu.tsMethods.exponential.param;

public abstract class ExponentialMethodParam {
    public static final Float DEFAULT_OPTIMIZATION_STEP = 0.01f;
    private final String key;
    private final Number minValue;
    private final Number maxValue;
    private final Number optimizationStep;

    public ExponentialMethodParam(String key, Number minValue, Number maxValue, Number optimizationStep) {
        this.key = key;
        this.minValue = minValue;
        this.maxValue = maxValue;
        this.optimizationStep = optimizationStep;
    }

    public String getKey() {
        return key;
    }

    public Number getMinValue() {
        return minValue;
    }

    public Number getMaxValue() {
        return maxValue;
    }

    public Number getOptimizationStep() {
        return optimizationStep;
    }

    @Override
    public String toString() {
        return "TimeSeriesMethodParam{" +
                "key='" + key + '\'' +
                ", minValue=" + minValue +
                ", maxValue=" + maxValue +
                ", delta=" + optimizationStep +
                '}';
    }
}
