/*
 *
 *  * Copyright (C) 2021 Anton Romanov - All Rights Reserved
 *  * You may use, distribute and modify this code, please write to: romanov73@gmail.com.
 *
 *
 */

package ru.ulstu.tsMethods.exponential.param;

public class ExponentialMethodParamValue<T extends ExponentialMethodParam> {
    private final T param;
    private final Number value;

    public ExponentialMethodParamValue(T param, Number value) {
        this.param = param;
        this.value = value;
    }

    public T getParam() {
        return param;
    }

    public Number getValue() {
        return value;
    }

    public double getDoubleValue() {
        return value.doubleValue();
    }

    public int getIntValue() {
        return value.intValue();
    }
}
